package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.AttEngBaseMapper;
import com.goldenwater.slaj.hidd.domain.AttEngBase;
import com.goldenwater.slaj.hidd.service.IAttEngBaseService;

/**
 * 工程基础信息 服务层实现
 */
@Service
public class AttEngBaseServiceImpl implements IAttEngBaseService {

    @Autowired
    private AttEngBaseMapper attEngBaseMapper;

    /**
     * 查询工程基础信息信息
     * @param guid 查询条件
     * @return 工程基础信息信息
     */
    @Override
    public AttEngBase selectAttEngBaseByGuid(String guid) {
        return attEngBaseMapper.selectAttEngBaseByGuid(guid);
    }

    /**
     * 查询工程基础信息列表
     * @param attEngBase 工程基础信息查询条件
     * @return 工程基础信息集合
     */
    @Override
    public List<AttEngBase> selectAttEngBaseList(AttEngBase attEngBase) {
        return attEngBaseMapper.selectAttEngBaseList(attEngBase);
    }

    /**
     * 新增工程基础信息
     * @param attEngBase 工程基础信息信息
     * @return 影响行数
     */
    @Override
    public int insertAttEngBase(AttEngBase attEngBase) {
        return attEngBaseMapper.insertAttEngBase(attEngBase);
    }

    /**
     * 修改工程基础信息
     * @param attEngBase 工程基础信息信息
     * @return 影响行数
     */
    @Override
    public int updateAttEngBase(AttEngBase attEngBase) {
        return attEngBaseMapper.updateAttEngBase(attEngBase);
    }

    /**
     * 删除工程基础信息
     * @param guid 工程基础信息主键
     * @return 影响行数
     */
    @Override
    public int deleteAttEngBaseByGuid(String guid) {
        return attEngBaseMapper.deleteAttEngBaseByGuid(guid);
    }

    /**
     * 批量删除工程基础信息
     * @param guids 工程基础信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteAttEngBaseByGuids(String[] guids) {
        return attEngBaseMapper.deleteAttEngBaseByGuids(guids);
    }
}
